Rensei docs

Atomically publish one complete per-org adoption batch before Ready.

Atomically publish one complete per-org adoption batch before Ready. - Rensei REST API operation reference.

POST
/api/daemon/session-shim/adoption-batches/commit

Authorization

workerJwt
headerAuthorizationBearer <JWT>

Short-lived worker runtime JWT minted by the platform. Claims bind the worker, project, organization, registration, and scopes.

Request Body

application/json
  1. body
orgId*string
Length1 <= length <= 256
hostId*string
Length1 <= length <= 256
expectedRevision*string
Length1 <= length <= 4096
adopted*array<>
Itemsitems <= 512
quarantined*array<>
Itemsitems <= 512
tombstoned*array<>
Itemsitems <= 512
cleared?array<>
Itemsitems <= 512

Response Body

Complete adoption batch committed.

application/json
  1. response
batch*
revision*string
Match^[1-9][0-9]*$
adoptionRevision*string
Match^[1-9][0-9]*$
durableCorrelation*string
Length1 <= length
requestDigest*string
Match^[0-9a-f]{64}$
idempotentReplay*boolean
replay?
Example Request
curl -X POST 'https://app.rensei.ai/api/daemon/session-shim/adoption-batches/commit' \  -H 'Content-Type: application/json' \  -d '{  "orgId": "string",  "hostId": "string",  "expectedRevision": "string",  "adopted": [    {      "evidence": {        "orgId": "string",        "sessionId": "string",        "hostId": "string",        "controllerId": "string",        "shimId": "string",        "processEpoch": "string",        "controllerGeneration": "string",        "lastForwardedSeq": "string",        "extensions": {          "required": [            "carrier_epoch"          ],          "values": {            "carrier_epoch": "string"          }        },        "observedAt": "string"      },      "durableCorrelation": "string"    }  ],  "quarantined": [    {      "orgId": "string",      "sessionId": "string",      "controllerGeneration": "string",      "reason": "protocol_mismatch",      "ageSeconds": "string",      "consumesCapacity": true    }  ],  "tombstoned": [    {      "orgId": "string",      "sessionId": "string",      "hostId": "string",      "shimId": "string",      "processEpoch": "string",      "tombstone": {        "schemaVersion": 1,        "orgId": "string",        "sessionId": "string",        "shimId": "string",        "processEpoch": "string",        "harnessPid": 1,        "harnessStartedAt": "string",        "exitCode": "string",        "lastSeq": "string",        "groupReaped": true,        "observedAt": "string"      }    }  ]}'
Example Response
{  "batch": {    "orgId": "string",    "hostId": "string",    "expectedRevision": "string",    "adopted": [      {        "evidence": {          "orgId": "string",          "sessionId": "string",          "hostId": "string",          "controllerId": "string",          "shimId": "string",          "processEpoch": "string",          "controllerGeneration": "string",          "lastForwardedSeq": "string",          "extensions": {            "required": [              "carrier_epoch"            ],            "values": {              "carrier_epoch": "string"            }          },          "preparedCorrelation": "string",          "recoveryCorrelation": "string",          "observedAt": "string"        },        "durableCorrelation": "string"      }    ],    "quarantined": [      {        "orgId": "string",        "sessionId": "string",        "shimId": "string",        "processEpoch": "string",        "controllerGeneration": "string",        "protocolMin": 0,        "protocolMax": 0,        "reason": "protocol_mismatch",        "detail": "string",        "ageSeconds": "string",        "consumesCapacity": true,        "phase": "starting"      }    ],    "tombstoned": [      {        "orgId": "string",        "sessionId": "string",        "hostId": "string",        "shimId": "string",        "processEpoch": "string",        "adoption": {          "orgId": "string",          "sessionId": "string",          "hostId": "string",          "controllerId": "string",          "shimId": "string",          "processEpoch": "string",          "controllerGeneration": "string",          "lastForwardedSeq": "string",          "extensions": {            "required": [              "carrier_epoch"            ],            "values": {              "carrier_epoch": "string"            }          },          "preparedCorrelation": "string",          "recoveryCorrelation": "string",          "observedAt": "string"        },        "durableAdoptionCorrelation": "string",        "tombstone": {          "schemaVersion": 1,          "orgId": "string",          "sessionId": "string",          "shimId": "string",          "processEpoch": "string",          "harnessPid": 1,          "harnessStartedAt": "string",          "exitCode": "string",          "signal": "string",          "lastSeq": "string",          "groupReaped": true,          "observedAt": "string",          "cause": "completed",          "outboxKey": "string",          "outboxState": "delivered"        }      }    ],    "cleared": [      {        "orgId": "string",        "sessionId": "string",        "shimId": "string",        "processEpoch": "string",        "controllerGeneration": "string",        "disposition": "abandoned",        "reason": "acceptance_clear_without_terminal_evidence"      }    ]  },  "revision": "string",  "adoptionRevision": "string",  "durableCorrelation": "string",  "requestDigest": "string",  "idempotentReplay": true,  "replay": {    "kind": "contiguous_readoption",    "ofBatchDigest": "string",    "batchDigest": "string"  }}